package info.bukova.isspst.services.requirement;

import info.bukova.isspst.Constants;
import info.bukova.isspst.data.Requirement;
import info.bukova.isspst.data.RequirementState;

import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;

public class RequirementServiceImpl extends
		RequirementBaseServiceImpl<Requirement> implements RequirementService,
		RequirementBaseService<Requirement> {

	@Autowired
	private RequirementTypeService reqTypeService;

	@Override
	protected Requirement createEntity() {
		Requirement entity = new Requirement();

		entity.setReqDate(new Date());
		entity.setType(reqTypeService.getTypeById(Constants.REQTYPE_ORDER));
		entity.setState(RequirementState.NEW);

		return entity;
	}

}
